API ReferenceapiaffiliatesGET /v1/affiliates/me

GET /v1/affiliates/me

Service: affiliates · operationId: (none)

Affiliate dashboard summary for the current user

Required scopes

(no scope declared — review service config)

Responses

200 Current affiliate dashboard summary

{
  "type": "object",
  "properties": {
    "affiliate": {
      "type": "object",
      "properties": {
        "id": {
          "type": "string"
        },
        "user_id": {
          "type": "string"
        },
        "referral_code": {
          "type": "string"
        },
        "commission_rate_bps": {
          "type": "integer"
        },
        "status": {
          "type": "string"
        },
        "brand_id": {
          "type": "string"
        },
        "created_at": {
          "type": "string"
        },
        "updated_at": {
          "type": "string"
        }
      },
      "required": [
        "id",
        "user_id",
        "referral_code",
        "commission_rate_bps",
        "status",
        "brand_id",
        "created_at",
        "updated_at"
      ]
    },
    "metrics": {
      "type": "object",
      "properties": {
        "referrals_total": {
          "type": "integer"
        },
        "conversions": {
          "type": "integer"
        },
        "commission_earned_cents": {
          "type": "string"
        },
        "pending_payout_cents": {
          "type": "string"
        }
      },
      "required": [
        "referrals_total",
        "conversions",
        "commission_earned_cents",
        "pending_payout_cents"
      ]
    },
    "recent_referrals": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "customer_id": {
            "type": "string"
          },
          "order_id": {
            "type": [
              "string",
              "null"
            ]
          },
          "referral_code": {
            "type": "string"
          },
          "referred_at": {
            "type": "string"
          },
          "conversion_status": {
            "type": "string"
          },
          "commission_amount_cents": {
            "type": "string"
          }
        },
        "required": [
          "id",
          "customer_id",
          "order_id",
          "referral_code",
          "referred_at",
          "conversion_status",
          "commission_amount_cents"
        ]
      }
    }
  },
  "required": [
    "affiliate",
    "metrics",
    "recent_referrals"
  ]
}

404 Affiliate profile not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://affiliates.platform.loop.health/v1/affiliates/me \
  -H "Authorization: Bearer $ACCESS_TOKEN"